# frozen_string_literal: true

class HomeController < ApplicationController
  allow_unauthenticated_access only: [ :show ]

  def show
  end

  def profile
  end

  private
  def initialize_sidebar_items
    return [] unless action_name == "profile"

    [
      {
        label: "Profil",
        icon: :person,
        path: profile_path,
        active: action_name == "profile"
      },
      # {
      #   label: "Passwort ändern",
      #   path: new_password_path,
      #   icon: :lock
      # },
      {
        label: "Logout",
        icon: :"box-arrow-right",
        path: session_path,
        method: :delete
      }
    ]
  end
end
